From 1c72d8f0631401487ed9bd9340fe2269658ccfa9 Mon Sep 17 00:00:00 2001
From: Mukund Sivaraman <muks@banu.com>
Date: Thu, 24 Sep 2009 08:16:26 +0530
Subject: build: Run configure in autogen.sh

---
 autogen.sh | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/autogen.sh b/autogen.sh
index d19915a..edde3be 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,8 +6,31 @@
 # can now be used...
 #
 
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+ORIGDIR=`pwd`
+
 set -x
+
+cd $srcdir
+
 aclocal -I m4macros \
   && autoheader \
   && automake --gnu --add-missing \
   && autoconf
+
+cd $ORIGDIR
+
+set -
+
+echo $srcdir/configure --enable-maintainer-mode "$@"
+$srcdir/configure --enable-maintainer-mode "$@"
+RC=$?
+if test $RC -ne 0; then
+  echo
+  echo "Configure failed or did not finish!"
+  exit $RC
+fi
+
+echo
+echo "Now type 'make' to compile Tinyproxy."
-- 
cgit v1.2.3